# frozen_string_literal: true

$LOAD_PATH.unshift(::File.join(::File.dirname(__FILE__), "lib"))

require "stripe/version"

Gem::Specification.new do |s|
  s.name = "bongloy"
  s.version = Stripe::VERSION
  s.required_ruby_version = ">= 2.1.0"
  s.summary = "Ruby bindings for the Bongloy API"
  s.description = "Bongloy is the easiest way to accept payments online.  " \
                  "See https://www.bongloy.com for details."
  s.author = "Bongloy"
  s.email = "support@bongloy.com"
  s.homepage = "https://www.bongloy.com/documentation"
  s.license = "MIT"

  s.metadata = {
    "bug_tracker_uri"   => "https://github.com/bongloy/bongloy-ruby/issues",
    "changelog_uri"     =>
      "https://github.com/bongloy/bongloy-ruby/blob/master/CHANGELOG.md",
    "documentation_uri" => "https://www.bongloy.com/documentation",
    "github_repo"       => "ssh://github.com/bongloy/bongloy-ruby",
    "homepage_uri"      => "https://www.bongloy.com/documentation",
    "source_code_uri"   => "https://github.com/bongloy/bongloy-ruby",
  }

  s.add_dependency("faraday", "~> 0.13")
  s.add_dependency("net-http-persistent", "~> 3.0")

  s.files = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n")
                                           .map { |f| ::File.basename(f) }
  s.require_paths = ["lib"]
end
